package com.ywt.outpatient.params.api.order;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.util.List;

/**
 * @author daiyihua
 * @create 2022-01-17 11:18
 * @program glasses_service
 * @description 得到订单详情Response
 **/
@ApiModel(value = "得到订单详情Response")
public class GetOrderDetailResponse {

    @ApiModelProperty(value = "商品订单ID", example = "")
    private int goodsOrdersId;

    @ApiModelProperty(value = "订单ID", example = "")
    private int orderId;

    @ApiModelProperty(value = "订单编号", example = "")
    private String orderNo;

    @ApiModelProperty(value = "患者姓名", example = "")
    private String patientName;

    @ApiModelProperty(value = "性别", example = "")
    private String sex;

    @ApiModelProperty(value = "年龄", example = "")
    private int age;

    @ApiModelProperty(value = "手机号", example = "")
    private String mobile;

    @ApiModelProperty(value = "支付金额，单位：元", example = "")
    private String payAmount;

    @ApiModelProperty(value = "支付金额，单位：分", example = "")
    private int payAmountInt;

    @ApiModelProperty(value = "配镜处方", example = "")
    private GoodsParmVO glassesParam;

    @ApiModelProperty(value = "订单商品详情列表", example = "")
    private List<GoodsOrderDetailVO> orderDetailList;

    @ApiModelProperty(value = "取货方式：0-自取，1邮寄", example = "")
    private int getChannel;

    @ApiModelProperty(value = "邮寄地址信息", example = "")
    private PostAddressVO postAddress;

    @ApiModelProperty(value = "订单状态：0-待支付；1-已支付；2-已退款", example = "")
    private int status;

    @ApiModelProperty(value = "订单状态", example = "")
    private String statusStr;

    @ApiModelProperty(value = "二维码地址", example = "")
    private String qrCodeUrl;

    public int getGoodsOrdersId() {
        return goodsOrdersId;
    }

    public void setGoodsOrdersId(int goodsOrdersId) {
        this.goodsOrdersId = goodsOrdersId;
    }

    public int getOrderId() {
        return orderId;
    }

    public void setOrderId(int orderId) {
        this.orderId = orderId;
    }

    public String getOrderNo() {
        return orderNo;
    }

    public void setOrderNo(String orderNo) {
        this.orderNo = orderNo;
    }

    public String getPatientName() {
        return patientName;
    }

    public void setPatientName(String patientName) {
        this.patientName = patientName;
    }

    public String getSex() {
        return sex;
    }

    public void setSex(String sex) {
        this.sex = sex;
    }

    public int getAge() {
        return age;
    }

    public void setAge(int age) {
        this.age = age;
    }

    public String getMobile() {
        return mobile;
    }

    public void setMobile(String mobile) {
        this.mobile = mobile;
    }

    public String getPayAmount() {
        return payAmount;
    }

    public void setPayAmount(String payAmount) {
        this.payAmount = payAmount;
    }

    public int getPayAmountInt() {
        return payAmountInt;
    }

    public void setPayAmountInt(int payAmountInt) {
        this.payAmountInt = payAmountInt;
    }

    public GoodsParmVO getGlassesParam() {
        return glassesParam;
    }

    public void setGlassesParam(GoodsParmVO glassesParam) {
        this.glassesParam = glassesParam;
    }

    public List<GoodsOrderDetailVO> getOrderDetailList() {
        return orderDetailList;
    }

    public void setOrderDetailList(List<GoodsOrderDetailVO> orderDetailList) {
        this.orderDetailList = orderDetailList;
    }

    public int getGetChannel() {
        return getChannel;
    }

    public void setGetChannel(int getChannel) {
        this.getChannel = getChannel;
    }

    public PostAddressVO getPostAddress() {
        return postAddress;
    }

    public void setPostAddress(PostAddressVO postAddress) {
        this.postAddress = postAddress;
    }

    public int getStatus() {
        return status;
    }

    public void setStatus(int status) {
        this.status = status;
    }

    public String getStatusStr() {
        return statusStr;
    }

    public void setStatusStr(String statusStr) {
        this.statusStr = statusStr;
    }

    public String getQrCodeUrl() {
        return qrCodeUrl;
    }

    public void setQrCodeUrl(String qrCodeUrl) {
        this.qrCodeUrl = qrCodeUrl;
    }
}
